import { Host, h } from "@stencil/core";
export class LmvzAction {
    actionClick;
    _onClick(event) {
        this.actionClick.emit(event);
    }
    render() {
        return (h(Host, { key: '71303bfe6ac64a96edd21800ae5e8c43a3a38c23', onClick: this._onClick.bind(this) }, h("slot", { key: '94922fdfd355e7e4d1b78bedb80ae814c186b199' })));
    }
    static get is() { return "lmvz-action"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["lmvz-action.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["lmvz-action.css"]
        };
    }
    static get events() {
        return [{
                "method": "actionClick",
                "name": "actionClick",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "MouseEvent",
                    "resolved": "MouseEvent",
                    "references": {
                        "MouseEvent": {
                            "location": "global",
                            "id": "global::MouseEvent"
                        }
                    }
                }
            }];
    }
}
